Panda3D

Functions
geomVertexFormat.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "geomVertexFormat.h"`
`#include "geomVertexData.h"`
`#include "geomMunger.h"`
`#include "lightReMutexHolder.h"`
`#include "indent.h"`
`#include "bamReader.h"`
`#include "bamWriter.h"`

Go to the source code of this file.

## Functions
| CPT (GeomVertexFormat) GeomVertexFormat
| Returns a suitable vertex format for sending the animated vertices to the graphics backend. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2005-03-07

Definition in file geomVertexFormat.cxx.

## Function Documentation

## ◆ CPT()

CPT | ( | GeomVertexFormat |  | ) |

Returns a suitable vertex format for sending the animated vertices to the graphics backend.

Adds the indicated format to the registry, if there is not an equivalent format already there; in either case, returns the pointer to the equivalent format now in the registry.

This is the same format as the source format, with the CPU-animation data elements removed.

This may only be called after the format has been registered. The return value will have been already registered.

Returns a new GeomVertexFormat that includes all of the columns defined in either this GeomVertexFormat or the other one. If any column is defined in both formats with different sizes (for instance, texcoord2 vs. texcoord3), the new format will include the larger of the two definitions.

This may only be called after both source formats have been registered. The return value will also have been already registered.

Returns a modifiable pointer to the indicated array. This means duplicating it if it is shared or registered.

This may not be called once the format has been registered.

This must be called before a format may be used in a Geom. After this call, you should discard the original pointer you passed in (which may or may not now be invalid) and let its reference count decrement normally; you should use only the returned value from this point on.

Definition at line 106 of file geomVertexFormat.cxx.